diff --git openjdk-orig/jdk/src/solaris/native/sun/xawt/XToolkit.c openjdk/jdk/src/solaris/native/sun/xawt/XToolkit.c
index ac3fecc..b165a5f 100644
--- openjdk-orig/jdk/src/solaris/native/sun/xawt/XToolkit.c
+++ openjdk/jdk/src/solaris/native/sun/xawt/XToolkit.c
@@ -692,6 +692,7 @@ JNIEXPORT jstring JNICALL Java_sun_awt_X11_XToolkit_getEnv
 
 static XErrorHandler saved_error_handler = NULL;
 
+#ifndef __LSB_VERSION__
 #ifdef __linux__
 void print_stack(void)
 {
@@ -711,6 +712,7 @@ void print_stack(void)
   free (strings);
 }
 #endif
+#endif
 
 static int NoisyXErrorHandler(Display * dpy, XErrorEvent * event) {
     fprintf(stderr, "id=%x, serial=%x, ec=%d, rc=%d, mc=%d\n",
diff --git openjdk-orig/jdk/src/solaris/transport/socket/socket_md.c openjdk/jdk/src/solaris/transport/socket/socket_md.c
index f392bd9..3716dcc 100644
--- openjdk-orig/jdk/src/solaris/transport/socket/socket_md.c
+++ openjdk/jdk/src/solaris/transport/socket/socket_md.c
@@ -38,7 +38,7 @@
 #endif
 #ifdef __linux__
 #include <pthread.h>
-#include <sys/poll.h>
+#include <poll.h>
 #endif
 
 #include "socket_md.h"
diff --git a/src/openjdk/jdk/make/lsb/Makefile b/src/openjdk/jdk/make/lsb/Makefile
new file mode 100644
index 0000000..0572b3c
--- /dev/null
+++ openjdk/jdk/make/lsb/Makefile
@@ -0,0 +1,36 @@
+
+# Makefile for LSB helper library
+
+ifdef OPENJDK_LSB_VERSION
+
+BUILDDIR = ..
+PRODUCT = 
+LIBRARY = lsb_helper_openjdk7
+LIBRARY_OUTPUT = lsb_helper_openjdk7
+include $(BUILDDIR)/common/Defs.gmk
+
+
+SRCDIR = $(LSBSRCDIR)
+FILES_c = lsb_helpers.c \
+    lsb_wrappers.c \
+    static/freetype_impl.c
+
+FILES_o = $(patsubst %.c,$(OBJDIR)/%.o,$(notdir $(FILES_c)))
+
+CPPFLAGS += -I$(FREETYPE_HEADERS_PATH) \
+    -I$(FREETYPE_HEADERS_PATH)/freetype2
+OTHER_LDLIBS += -lfreetype -ldl
+
+#
+# Rules
+#
+#include $(BUILDDIR)/common/Mapfile-vers.gmk
+include $(BUILDDIR)/common/Library.gmk
+
+vpath %.c $(SRCDIR)
+vpath %.c $(SRCDIR)/static
+
+else
+all build clobber clean:: ;
+endif
+
